install_package() {
    echo "Installing package '$1' via pip3"
    pip3 install "$1"
    if [ $? -eq 0 ]; then
       echo "Successfully installed pip3 package '$1'"
    else
       echo "Could not install pip3 package '$1'"
       exit 1
    fi
}

install_package "smbus"
install_package "requests"
install_package "flask"
install_package "python-logstash-async"

echo "Setting up opencv4"
pkg-config --modversion opencv4

echo "Setting up nginx rtmp server"
sudo /etc/init.d/nginx start

{
  echo 'load_module "modules/ngx_rtmp_module.so";'
  echo 'worker_processes auto;'
  echo 'rtmp_auto_push on;'
  echo 'events {}'
  echo 'rtmp {'
  echo '    server {'
  echo '        listen 1935;'
  echo '        listen [::]:1935 ipv6only=on;'
  echo '        application live {'
  echo '            live on;'
  echo '            record off;'
  echo '        }'
  echo '    }'
  echo '}'
} >> /etc/nginx/nginx.conf
